OpenStackManager tests fail on Quibble container: Error: Call to undefined function ldap_bind()
Closed, ResolvedPublic

Description

When running PHPUnit tests for OpenStackManager: Error: Call to undefined function ldap_bind(). Example:

1) ApiStructureTest::testDocumentationExists with data set "Module query+novainstances with MiserMode=false" ('query+novainstances', array(false))
Error: Call to undefined function ldap_bind()

extensions/LdapAuthentication/LdapAuthenticationPlugin.php:92
extensions/LdapAuthentication/LdapAuthenticationPlugin.php:2047
extensions/OpenStackManager/nova/OpenStackNovaLdapConnection.php:22
extensions/OpenStackManager/nova/OpenStackNovaUser.php:21
extensions/OpenStackManager/nova/OpenStackNovaProject.php:470
extensions/OpenStackManager/nova/OpenStackNovaProject.php:526
extensions/OpenStackManager/nova/OpenStackNovaProject.php:543
extensions/OpenStackManager/nova/OpenStackNovaProject.php:502
extensions/OpenStackManager/api/ApiListNovaInstances.php:94
includes/api/ApiBase.php:2226
vendor/wikimedia/testing-access-wrapper/src/TestingAccessWrapper.php:72
tests/phpunit/structure/ApiStructureTest.php:160
tests/phpunit/MediaWikiTestCase.php:423
maintenance/doMaintenance.php:94

The Quibble image should include the ldap php extension.

hashar created this task.Jun 27 2018, 4:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2018, 4:06 PM

Change 442338 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: add bcmath/ldap to Quibble images

https://gerrit.wikimedia.org/r/442338

Change 442338 merged by jenkins-bot:
[integration/config@master] docker: add bcmath/ldap to Quibble images

https://gerrit.wikimedia.org/r/442338

Change 442339 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Bump php7/hhvm Quibble jobs to 0.0.19-1

https://gerrit.wikimedia.org/r/442339

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-releng) [2018-06-27T16:27:14Z] <hashar> Building Docker containers releng/quibble-jessie-php55:0.0.19-1 and releng/quibble-stretch:0.0.19-1 | T196346 T198336

hashar claimed this task.Jun 27 2018, 4:27 PM

Change 442339 merged by jenkins-bot:
[integration/config@master] Bump php7/hhvm Quibble jobs to 0.0.19-1

https://gerrit.wikimedia.org/r/442339

hashar closed this task as Resolved.Jul 2 2018, 9:24 AM